contentType: isPublished
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检查内容类型中心 [网站中 contentType][] 的发布状态。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Sites.FullControl.All
委派(个人 Microsoft 帐户)
不支持
应用程序
Sites.FullControl.All
HTTP 请求
GET /sites/{siteId}/contentTypes/{contentTypeId}/isPublished
注意: siteId 表示内容类型中心网站。
名称
说明
Authorization
Bearer {token}。必需。
响应
如果成功,此调用将返回 200 OK 响应和一个布尔值,该值指定内容类型的发布状态。
请求正文
请勿提供此方法的请求正文。
示例
请求
GET https://graph.microsoft.com/beta/sites/{siteId}/contentTypes/{contentTypeId}/isPublished
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var boolean = await graphClient.Sites["{site-id}"].ContentTypes["{contentType-id}"]
.IsPublished()
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let _boolean = await client.api('/sites/{siteId}/contentTypes/{contentTypeId}/isPublished')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/sites/{siteId}/contentTypes/{contentTypeId}/isPublished"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphBoolean *boolean = [[MSGraphBoolean alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
Boolean _boolean = graphClient.sites("{siteId}").contentTypes("{contentTypeId}")
.isPublished()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
siteId := "site-id"
contentTypeId := "contentType-id"
result, err := graphClient.SitesById(&siteId).ContentTypesById(&contentTypeId).IsPublished()(site-id, contentType-id).Get()
Import-Module Microsoft.Graph.Sites
Test-MgSiteContentTypePublished -SiteId $siteId -ContentTypeId $contentTypeId
响应
HTTP/1.1 200 OK
Content-type: application/json
{
"value": true
}